use crate::html;

//  ██████╗  █████╗ ███████╗███████╗██╗███╗   ██╗ ██████╗
//  ██╔══██╗██╔══██╗██╔════╝██╔════╝██║████╗  ██║██╔════╝
//  ██████╔╝███████║███████╗███████╗██║██╔██╗ ██║██║  ███╗
//  ██╔═══╝ ██╔══██║╚════██║╚════██║██║██║╚██╗██║██║   ██║
//  ██║     ██║  ██║███████║███████║██║██║ ╚████║╚██████╔╝
//  ╚═╝     ╚═╝  ╚═╝╚══════╝╚══════╝╚═╝╚═╝  ╚═══╝ ╚═════╝

#[test]
fn passing_icon() {
    assert!(html::is_icon("icon"));
}

#[test]
fn passing_shortcut_icon_capitalized() {
    assert!(html::is_icon("Shortcut Icon"));
}

#[test]
fn passing_icon_uppercase() {
    assert!(html::is_icon("ICON"));
}

#[test]
fn passing_mask_icon() {
    assert!(html::is_icon("mask-icon"));
}

#[test]
fn passing_fluid_icon() {
    assert!(html::is_icon("fluid-icon"));
}

//  ███████╗ █████╗ ██╗██╗     ██╗███╗   ██╗ ██████╗
//  ██╔════╝██╔══██╗██║██║     ██║████╗  ██║██╔════╝
//  █████╗  ███████║██║██║     ██║██╔██╗ ██║██║  ███╗
//  ██╔══╝  ██╔══██║██║██║     ██║██║╚██╗██║██║   ██║
//  ██║     ██║  ██║██║███████╗██║██║ ╚████║╚██████╔╝
//  ╚═╝     ╚═╝  ╚═╝╚═╝╚══════╝╚═╝╚═╝  ╚═══╝ ╚═════╝

#[test]
fn failing_stylesheet() {
    assert!(!html::is_icon("stylesheet"));
}

#[test]
fn failing_empty_string() {
    assert!(!html::is_icon(""));
}
